Форум русской поддержки Joomla!® CMS
05.12.2016, 04:33:32 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
   
   Начало   Поиск Joomla 3.0 FAQ Joomla 2.5 FAQ Joomla 1.5 FAQ Правила форума Новости Joomla Реклама Войти Регистрация Помощь  
Страниц: [1]   Вниз
  Добавить закладку  |  Печать  
Автор

Joomla 3 на php 5.2

 (Прочитано 993 раз)
0 Пользователей и 1 Гость смотрят эту тему.
bubanay
Осваиваюсь на форуме
***

Репутация: +0/-0
Offline Offline

Сообщений: 59


« : 12.04.2015, 15:43:15 »

Можно ли заставить работать Joomla 3.4 на php 5.2? На хостинге лежат и другие сайты которые при переходе на 5.3 перестают работать.

Из решений нашел только вставить в начала .htaccess строчку AddHandler x-httpd-php53 .php

но это не помогает.
Записан
AlekVolsk
Профи
********

Репутация: +316/-3
Offline Offline

Пол: Мужской
Сообщений: 6453



« Ответ #1 : 12.04.2015, 19:44:54 »

Нет, нельзя. Откройте index.php в корне сайта и увидите самые первые строки на проверку минимальной версии пыха:
Код
if (version_compare(PHP_VERSION, '5.3.10', '<'))
{
die('Your host needs to use PHP 5.3.10 or higher to run this version of Joomla!');
}
Перевод сообщения:
Цитировать
Ваш хост должен использовать PHP 5.3.10 или выше для запуска этой версии Joomla!
Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2279



« Ответ #2 : 13.04.2015, 14:35:44 »

Добавлю, что это обусловлено тем, что данная сборка Joomla использует функционал, который есть только в php 5.3. Вы можете изменить условия проверки и установить вместо 5.3 версию 5.2. Вы можете попытаться обмануть ее через htaccess. Но даже если она и заработает, то где то обязательно даст сбой. В вашем случае либо юзайте старую версию, либо обновляйте все под php 5.3
Записан
Trampypys
Осваиваюсь на форуме
***

Репутация: +3/-1
Offline Offline

Пол: Мужской
Сообщений: 129



« Ответ #3 : 04.12.2016, 14:12:06 »

Есть еще вариант, арендовать сервер с  возможностью смены версии php для каждого домена. Я например у себя так и сделал. Но у меня все новых версий, поэтому стоит php 7, скорость работы заметна невооруженным глазом, сайт летать стал.
Записан
wishlight
Профи
********

Репутация: +200/-1
Offline Offline

Пол: Мужской
Сообщений: 3478


skype aqaus.com


« Ответ #4 : 04.12.2016, 14:46:59 »

Обратитесь к хостеру. Пусть поднимет версию php для отдельного сайта. Если он этого не может, то это плохой хостер. В таком случае меняйте его.
Записан
voland
Профи
********

Репутация: +487/-86
Offline Offline

Пол: Мужской
Сообщений: 8704


любит наш народ всякое гавно...


« Ответ #5 : 04.12.2016, 14:52:39 »

Обратитесь к хостеру. Пусть поднимет версию php для отдельного сайта. Если он этого не может, то это плохой хостер. В таком случае меняйте его.
Всё так.
Ещё дополню, что оптимально запускать Joomla 3 на версиях 5.4-7.0 (самый без проблемный вариант - 5.6)
Записан
zikkuratvk
Профи
********

Репутация: +256/-2
Offline Offline

Пол: Мужской
Сообщений: 3932


Разрабатываем для Joomla


« Ответ #6 : 04.12.2016, 15:07:02 »

а зачем так извращаться?? PHP 5.3 сняли уже с поддержки давно... и 5.4 сняли)) а 5.2 это чуть ли не времена Joomla 1.0
Записан
Страниц: [1]   Вверх
  Добавить закладку  |  Печать  
 
Перейти в:  

Powered by SMF 1.1.21 | SMF © 2006, Simple Machines

Joomlaforum.ru is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla! name and logo is used under a limited license granted by Open Source Matters
the trademark holder in the United States and other countries.

LiveInternet